function setLatestEdition(latestEditionData) {
    if (latestEditionData) {
        if (typeof latestEditionData === 'string')
            latestEditionData = JSON.parse(latestEditionData);

        var image = document.getElementById('thumbImage');
        var images = (image ? [image] : document.getElementsByClassName('thumbImage'));
        for (var i = 0; i < images.length; i++) {
            image = images[i];
            image.src = latestEditionData.thumbUrl;
        }

        var latestLink = document.getElementById('latestLink');
        var latestLinks = (latestLink ? [latestLink] : document.getElementsByClassName('latestLink'));
        for (var i = 0; i < latestLinks.length; i++) {
            latestLink = latestLinks[i];
            latestLink.href = 'yudu:goLatestEdition:' + encodeURIComponent(latestEditionData.userId) + ':' + latestEditionData.editionId;
        }
    }

    var latestWrapper = document.getElementById('latestWrapper');
    var latestWrappers = (latestWrapper ? [latestWrapper] : document.getElementsByClassName('latestWrapper'));
    for (var i = 0; i < latestWrappers.length; i++) {
        latestWrapper = latestWrappers[i];
        latestWrapper.style.display = latestEditionData ? 'block' : 'none';
    }
}

window.addEventListener('load', function() {
    setLatestEdition(getParameterByName("latestEditionData"));
});
